PHP Manual
Prev |  | Next

# imagefilltoborder

(PHP 3, PHP 4, PHP 5)

imagefilltoborder -- Flood fill to specific color

## Description

bool imagefilltoborder ( resource image, int x, int y, int border, int color )

imagefilltoborder() performs a flood fill whose border color is defined by `border`. The starting point for the fill is `x`, `y` (top left is 0, 0) and the region is filled with color `color`.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`x`

  x-coordinate of start

`y`

  y-coordinate of start

`border`

  The border color. A color identifier created with imagecolorallocate()

`color`

  The fill color. A color identifier created with imagecolorallocate()

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagefilledrectangle | Up | imagefilter